<?php
namespace App\Http\Controllers;
use App\Repositories\ConfigCityManagementRepository;
use App\Transformers\CityTransformer;
use Illuminate\Http\Request;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
/**
 * Created by PhpStorm.
 * User: qinyaer
 * Date: 2019/4/26
 * Time: 下午14:36
 */

class ConfigCityManagementController extends BaseController
{
    public function __construct(ConfigCityManagementRepository $configCityManagementRepository) {

        $this->configCityManagementRepository = $configCityManagementRepository;
    }

    //已开通城市列表
    public function index(Request $request)
    {
        $cityList = $this->configCityManagementRepository->index($request->all());

        $fractal = new Manager();
        $resource = new Collection($cityList , new CityTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($cityList));
        $data = $fractal->createData($resource)->toArray();
        return $this->jsonSuccess($data);
    }

}