<?php
namespace App\Http\Controllers;
use App\Repositories\ConfigProvinceRepository;
use App\Transformers\ProvinceTransformer;
use Illuminate\Http\Request;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
/**
 * Created by PhpStorm.
 * User: qinyaer
 * Date: 2019/4/26
 * Time: 下午15:09
 */

class ConfigProvinceController extends BaseController
{
    public function __construct(ConfigProvinceRepository $configProvinceRepository) {

        $this->configProvinceRepository = $configProvinceRepository;
    }

    //获取省市区
    public function index(Request $request)
    {
        $cityList = $this->configProvinceRepository->index($request->all());

        $fractal = new Manager();
        $resource = new Collection($cityList , new ProvinceTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($cityList));
        $data = $fractal->createData($resource)->toArray();
        return $this->jsonSuccess($data);
    }

}