<?php

namespace App\Http\Controllers;

use App\Repositories\SmsRepository;
use App\Transformers\LoginTransformer;
use App\Transformers\UserTransformer;
use App\User;
use Illuminate\Http\Request;
use League\Fractal\Manager;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use League\Fractal\Resource\Collection;
use League\Fractal\Resource\Item;
use Illuminate\Support\Facades\Auth;


class IndexController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(SmsRepository $userRepository)
    {
        //
        $this->userRepository = $userRepository;
    }

    //
    public function index(Request $request)
    {
        $fractal = new Manager();
        $res = new Collection(User::get(), new UserTransformer());
        $array = $fractal->createData($res)->toArray();
        return $this->JsonSuccess($array);
    }

    public function index2(Request $request)
    {
        $fractal = new Manager();
        $res = new Item(User::find(1), new UserTransformer());
        $array = $fractal->createData($res)->toArray();
        return $this->jsonSuccess($array);
    }

    public function index3(Request $request)
    {
        $users = $this->userRepository->lists($request->all());
        $fractal = new Manager();
        $resource = new Collection($users, new LoginTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($users));
        $data = $fractal->createData($resource)->toArray();
        return $this->jsonSuccess($data);
    }
    //测试参数sign
    public function index4(Request $request)
    {
        $_data = $request->all();
        unset($_data['user_id']);
        $data['sign'] = generateSign($_data,md5($request['user_id']));
        return $this->jsonSuccess($data);
    }

    public function error(Request $request)
    {
        return $this->jsonError('请输入用户名');
    }
}
