<?php

namespace App\Models;


class ConfigPickupNode extends BaseModel
{
    protected  $table = 'config_pickup_node';

    /**
     * 可被批量赋值的字段
     * @var array
     */
    protected $fillable = ['pickup_group_id','store_ids','city_name','city_id','name','address','longitude','latitude','pickup_code','distance','work_time','manager_name','manager_mobile','store_ids','receive_type'];

    //一对多关联储存方式表
    public function configStoreType()
    {
        return $this->hasMany('App\Models\ConfigStoreType','store_ids');
    }

    //一对多关联自提点分组表
    public function configPickupGroup()
    {
        return $this->hasMany('App\Models\configPickupGroup','pickup_group_id');
    }

    //获取储存方式名称
    public function getStoreNameAttribute()
    {
        $storeId = ConfigStoreType::find($this->store_ids);

        if($storeId){
            return $storeId->name;
        }
        return '';

    }

    //获取自提点分组名称
    public function getGroupNameAttribute()
    {
        $groupName = ConfigPickupGroup::find($this->pickup_group_id);

        if($groupName){
            return $groupName->name;
        }
        return '';

    }


}