<?php

namespace App\Repositories;



use App\Models\ConfigPickupNode;

class ConfigPickupNodeRepository
{
    public function __construct(ConfigPickupNode $configPickupNode)
    {
        $this->configPickupNode = $configPickupNode;
    }

    //列表
    public function index($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');
        if (isset($request['keyword'])) {
            $this->configPickupNode = $this->configPickupNode
                ->orderBy('id', 'desc')
                ->where('city_id', $request['city_id'])
                ->where(function ($query) use ($request) {
                        $query->where('status', 1)
                        ->orWhere('name', 'like', "{$request['keyword']}%");
                });
        }else{
            $this->configPickupNode = $this->configPickupNode
                ->orderBy('id', 'desc')->where(['status' => 1,'city_id' => $request['city_id']]);
        }
            return $this->configPickupNode->paginate($perPage);

    }
}