<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddBjcityIdConfigProvinceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('config_province', function (Blueprint $table) {
            $table->renameColumn('name', 'area_name');
            $table->renameColumn('id', 'bjcity_id',20)->comment('百度城市id');
            $table->string('area_code',50)->nullable()->comment('地区编码');
            $table->string('city_code',50)->comment('城市编码');
            $table->string('center',50)->comment('城市中心点（即：经纬度坐标）');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('config_province', function (Blueprint $table) {
            $table->dropColumn('bjcity_id','area_name','area_code','city_code','center');
        });
    }
}
