<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$api = app('Dingo\Api\Routing\Router');

$api->version('v1', [
    'namespace' => 'App\Http\Controllers',
], function ($api) {


    //登录+验签
    $api->group(['middleware' => ['chxq_jwt_auth','chxq_sign']], function ($api) {
        $api->post('upload', 'UploadController@uploadImage');
    });
    //仅验签
    $api->group(['middleware' => 'chxq_sign'], function ($api) {
        //自提点列表
        $api->get('/pickupNode/index','ConfigPickupNodeController@index');
        //获取某自提点
        $api->post('/pickupNode/getPickupNode','ConfigPickupNodeController@getPickupNode');

        //已开通城市列表
        $api->get('/cityManagement/index','ConfigCityManagementController@index');
        //获取省市区
        $api->get('/configProvince/index', 'ConfigProvinceController@index');

        //储存方式列表
        $api->get('/storeType/index', 'StoreTypeController@index');
    });

});